DBMAIL-SIEVECMD(8)

NAME
dbmail-sievecmd - manipulates Sieve scripts in the DBMail database.

SYNOPSIS

dbmail-sievecmd -u username [-l] [-a scriptname] [-d scriptname] [-i scriptname file] [-c [scriptname]] [-r scriptname] [-f configfile] [-nvVh]

DESCRIPTION

DBMail stores Sieve scripts in a table in the DBMail database. These scripts are used to sort incoming mail for the email users. Each user has their own script space and may upload scripts to the dbmail-timsieved(8) daemon. The dbmail-sievecmd(8) utility provides a convenient method for the system administrator to work with Sieve scripts from the command line.

OPTIONS

-u username
    Specify the user whose scripts we will be modifying.

-l
    List scripts belonging to user

-a scriptname
    Activates scriptname, deactivating all other scripts.

-d scriptname
    Deactivates scriptname if it was active.

-i scriptname file
    Creates a script called scriptname by importing file. If file is - (dash) or unspecified, stdin will be read.

-c [scriptname]
    Print out the named script. If no script is given, the active script is printed.

-r scriptname
    Remove the named script. If the script was active, no script will be active after it is deletion.

COMMON OPTIONS

-f configfile
    Specify an alternate config file. The utilities are currently hardcoded to use /etc/dbmail.conf for their configs, and will halt if the config file cannot be found. Use the -f configfile option to specify your system’s preferred config file location. Debian is patched to have /etc/dbmail/dbmail.conf as the default.

-q
    Quietly skip interactive prompts and helpful status messages which would otherwise be printed to stdout. Use two -q’s to silence errors which would otherwise be printed to stderr.

-v
    Operate verbosely. Some of the utilities in the DBMail suite can take two -v’s for extra verbosity. Those which don’t understand this convention won’t complain about having the extra -v and will simply operate at their normal verbosity.

-V
    Show the version and copyright, then exit.

-h
    Show a brief summary of options, then exit.

BUGS

If you experience inexplicable problems with DBMail, please report the issue to the DBMail Bug Tracker[1].

LICENSE

DBMail and its components are distributed under the terms of the GNU General Public License. Copyrights are held variously by the authors listed below.

AUTHOR(S)

DBMail is a collaborative effort among the core developers listed below and the tremendous help of the testers, patchers and bug hunters listed in the AUTHORS and THANKS files found in the DBMail source distribution.

    Eelco van Beek      Aaron Stone            Paul J Stevens
    Roel Rozendaal      Open Source Engineer   NFG Net Facilities Group BV
    Ilja Booij          Palo Alto, CA USA      http://www.nfg.nl
    IC&S                http://hydricacid.com
    http://www.ic-s.nl

NOTES

1.  DBMail Bug Tracker
    http://dbmail.org/mantis/